# Rôle des Playbooks Ansible

## Playbook de Configuration Système

Le premier playbook, apbase.yml, prépare la configuration de base du système. Il effectue les tâches suivantes :

- **Paramétrage du Fuseau Horaire** : Définit le fuseau horaire sur `Europe/Paris` pour assurer la cohérence des logs et des opérations temporelles.
- **Configuration du Proxy pour APT** : Ajoute une configuration de proxy pour `apt` dans le fichier `/etc/apt/apt.conf`, permettant d'utiliser un proxy réseau pour les mises à jour des paquets.
- **Mise à Jour et Mise à Niveau des Paquets** : Met à jour le cache `apt` et effectue une mise à jour des paquets pour garantir que le système est à jour.
- **Installation de Paquets Essentiels** : Installe plusieurs paquets nécessaires :
  - `tomcat10`
  - `mariadb-server`
  - `ant`
  - `qemu-guest-agent`

> **Objectif** : Préparer l'environnement système pour l’installation et l'exécution des applications nécessaires.

---

## Playbook de Configuration de la Base de Données

Le deuxième playbook, apdb.yml, initialise la base de données MySQL en créant les éléments suivants :

- **Installation de la Bibliothèque Python pour MySQL** : Installe `python3-pymysql`, nécessaire pour que Ansible puisse gérer MySQL.
- **Création d'une Base de Données** : Crée une base de données nommée `sdis29` demandé par les professeurs.
- **Création d'un Utilisateur** : Ajoute un utilisateur `admin` avec comme mot de passe (`Azerty1+`) et on lui donnera tous les privilèges sur la base de données.
- **Copie du Fichier SQL** : Transfère le fichier `sdis29.sql` vers le serveur pour initialiser la base de données.
- **Importation de la Base de Données** : Importe le contenu de `sdis29.sql` dans la base de donnée `sdis29`, ce qui configure les tables et données initiales.

> **Objectif** : Configurer et initialiser une base de données MySQL pour les besoins applicatifs.

---

## Playbook de Sauvegarde de la Base de Données

Le troisième playbook, apdbdump.yml, effectue une sauvegarde de la base de données et copie le fichier SQL généré en local :

- **Exportation de la Base de Données** : Crée un fichier de sauvegarde (`sdis29-dump.sql`) de la base `sdis29` dans le répertoire `/tmp/` du serveur.
- **Transfert du Fichier de Sauvegarde en Local** : Utilise le module `fetch` pour copier le fichier de sauvegarde du serveur vers la machine locale sous le même nom.

> **Objectif** : Sauvegarder la base de données `sdis29` pour la sécurité ou une restauration future.